Subject: Re: bug#16007: admin/charsets/mule-charsets.el requires old Emacs version

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Jun 2014 11:15:18 +0300

> Date: Thu, 02 Jan 2014 05:40:00 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Kenichi Handa <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > Date: Thu, 02 Jan 2014 10:49:09 +0900
> > 
> > > Why is it a problem to make changes in mule-charsets.el so that it
> > > could work both with Emacs 22 and with the latest versions of Emacs?
> > 
> > Because we don't have a reasonable explanation why we have
> > that file and keep it runnable with the latest Emacs.
> > 
> > > What do we lose if we make such a change in mule-charsets.el?
> > 
> > We will waste a time of future maintainers who must keep
> > that file runnable with the latest Emacs.  It's a waste
> > because such an effort yields nothing.
> 
> Stefan, I guess this becomes your call, then.

I see that Handa-san fixed this in revision 115426.1.2, so I'm closing
this bug.